This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 244520 - system-config-display does not allow full range of resolution for monitor
system-config-display does not allow full range of resolution for monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 12:55 EDT by Chris Caudle
Modified: 2009-01-09 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:08:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
generated xorg.conf file (773 bytes, text/plain)
2007-06-16 12:55 EDT, Chris Caudle
no flags Details
This is /var/log/Xorg.0.log after --reconfig (74.80 KB, text/plain)
2007-10-10 06:17 EDT, Otto J. Makela
no flags Details
/var/log/Xorg.0.log after selecting a 1600×1200 resolution display from menu (73.52 KB, text/plain)
2007-10-10 06:23 EDT, Otto J. Makela
no flags Details
X11 log, xorg.conf file + console errors (11.62 KB, application/zip)
2008-12-10 16:42 EST, Simona Avornicesei
no flags Details

  None (edit)
Description Chris Caudle 2007-06-16 12:55:55 EDT
Description of problem:system-config-display does not update available
resolutions when monitor hardware is updated.


Version-Release number of selected component (if applicable):
1.0.51-1.fc7

How reproducible:
consistent

Steps to Reproduce:
1.Install F7 on clean system. Monitor third tier manufacturer, attached through
kvm switch, so monitor was not automatically detected.
2.After installation, use system-config-display hardware tab to select generic
LCD display/1680x1050 LCD panel.
3.Even after restarting X, the settings tab only allows up to 1024x768 in
resolution selection box.
  
Actual results:
Resolution available to choose is not updated to reflect new monitor selection
in hardware settings.

Expected results:
Should allow up to 1680x1050 resolution settings.

Additional info:
The horizontal sync range in the "Monitor" section of xorg.conf (attached) seems
to cover the correct range for allowing up to 1680x1050 at 60Hz, but
system-config-display does not allow that setting.  
xorg.conf does not seem to include a mode setting now, so I am not sure where
the selection for monitor resolution gets stored after selecting in
system-config-display. If that is stored in a file somewhere, I can append this
with the contents of that file.
Comment 1 Chris Caudle 2007-06-16 12:55:56 EDT
Created attachment 157197 [details]
generated xorg.conf file
Comment 2 Simon Fonceca 2007-07-26 05:11:10 EDT
Workaround:

Using
 system-config-display --reconfig

rebuilds the /etc/xorg.conf file correctly.
Comment 3 Matěj Cepl 2007-09-06 09:01:13 EDT
It would be useful for us if we can get /var/log/Xorg.0.log from before and
after as well, please. However, this bug is on the borderline to be closed as
NOTABUG -- the fact that original /etc/X11/xorg.conf is documented in
system-config-display --help (I know, nobody reads that) for the --reconfig option.
Comment 4 Matěj Cepl 2007-10-09 11:06:38 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Otto J. Makela 2007-10-10 06:13:42 EDT
I fail to see how --reconfig helps as a workaround, as the original problem is
that the display resolution list on system-config-display never gets updated?

For example, I have a Eizo F930 external CRT display on a Dell Latitude D600
laptop which has worked just fine as 1600×1200 with Linux up till now. The
automatically detected settings for F930 do not have 1600×1200 mode as the
autodetected hsync range is insufficient, so the default maximum resolution
given by system-config-display 1400×1050.

With a new f7 installation I am unable to get any higher resolution by just
using system-config-display, as the resolution list never gets updated even
though one manually overrides the display to be a 1600×1200 monitor.
Comment 6 Otto J. Makela 2007-10-10 06:17:02 EDT
Created attachment 222281 [details]
This is /var/log/Xorg.0.log after --reconfig
Comment 7 Otto J. Makela 2007-10-10 06:23:13 EDT
Created attachment 222291 [details]
/var/log/Xorg.0.log after selecting a 1600×1200 resolution display from menu

At this point maximum display resolution is still 1400×1050 in spite of the
1600×1200 display type.
Comment 8 Otto J. Makela 2007-10-10 07:17:34 EDT
Very similar problem with fc6 in bug #218144
Comment 9 Chris Caudle 2007-10-10 23:01:36 EDT
1. running system-config-display --reconfig generates exactly the same xorg.conf
as it did the first time it was run.  As in diff gives null output.  The problem
is with system-config-display, so running system-config-display again does
nothing to correct the problem.

2.  Even on the off chance that somehow running with --reconfig avoided the bug,
system-config-display is typically accessed through the program with the title
"Display" in the system menu.  Expecting a user to poke around and figure out
that the program is actually system-config-display, then open a terminal and run
system-config-display --help on the off chance it might say something useful,
then extrapolating from the help output that the option which means "don't base
configuration on existing config files" might do something useful, is not
reasonable.  The display program should just set the display correctly and then
be done.
Comment 10 Bug Zapper 2008-05-14 09:08:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Otto J. Makela 2008-05-14 16:18:50 EDT
Exactly the same problem seen on a fresh installation of Fedora 8: Resolution
available to choose in system-config-display is not updated to reflect new
monitor selection in hardware settings. Workaround is to manually edit the
xorg.conf file, but if one does this, why bother with system-config-display in
the first place?

I can't change the Fedora version for this bug as I am not its owner, can
someone else change it to 8?
Comment 12 Bug Zapper 2008-11-26 02:20:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Simona Avornicesei 2008-12-10 16:42:44 EST
Created attachment 326552 [details]
X11 log, xorg.conf file + console errors

The issue is still not fixed in Fedora 9. Seems like the monitor is not recognized.

Furthermore, running system-config-display or system-config-display --reconfig does nothing. Seems to be related to the dbus permissions issue, that's affecting most of the services.

Hardware: notebook HP NX9420, videocard ATI Mobile X1600, LCD 17" display ( that can support 1600x1050 resolutions, but the maximum displayed by the tool is 1024x768 and none of the selected resolution is saved into the xorg.conf file )

Software: Fedora 9 x86_64, 
          kernel-2.6.27.5-41.fc9.x86_64, 
          dbus-1.2.6-1.fc9.x86_64
          dbus-glib-0.74-8.fc9.x86_64
          dbus-x11-1.2.6-1.fc9.x86_64
          dbus-qt-0.70-4.fc9.x86_64
          dbus-python-0.83.0-2.fc9.x86_64
          dbus-devel-1.2.6-1.fc9.x86_64
          dbus-libs-1.2.6-1.fc9.x86_64

Attached logs:
- errors received when running system_config_display from console
- X11 log file
- xorg.conf file
Comment 14 Bug Zapper 2009-01-09 02:08:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Otto J. Makela 2009-01-09 03:30:23 EST
Still, the same problem seen on a fresh installation of Fedora 10: Resolutions available to choose in system-config-display are not updated to reflect new monitor selection in hardware settings. Workaround is to manually edit the xorg.conf file, but if one does this, why bother with system-config-display in the first place?

For example, I have an (automatically correctly detected) 1920×1080 monitor, for which "system-config-display --reconfig" suggests 1400×1050 as the best available resolution.

This problem is complicated a bit by bug #477993 (system-config-display crashes while reading xorg.conf), a workaround is to use the --reconfig option.

I can't change the status of this bug as I am not its owner, can someone else reopen it once again for Fedora 10?
Comment 16 Chris Caudle 2009-01-09 11:45:45 EST
While someone else reported this problem existing on an F10 installation, I no longer see this issue on a fresh install of F10 on the same hardware that had a problem with F7 and F8.  Strictly from my experience I cannot support re-opening this under F10.  I'm not familiar with the administration features of bugzilla, so I don't know if someone else can re-open under F10, or if this will have to be re-entered as a new bug if someone else is having problems under F10.

Note You need to log in before you can comment on or make changes to this bug.